<!DOCTYPE HTML>
<html lang="en-US">
  <script type="text/javascript" src="./DelayActiveToggle.js"></script>
  <script>
    let activate = ()=>{
      document.getElementById("test").innerHTML = "Waiting.."
    }
    let deactivate = ()=>{
      document.getElementById("test").innerHTML = "Hello"
    }
    let delayActiveToggle = new DelayActiveToggle(activate,deactivate)
    delayActiveToggle.req
  </script>
  <div id="test">Hello</div>
  <button id="active" onclick="delayActiveToggle.requestActivate()">Active</button>
  <button id="deactive" onclick="delayActiveToggle.requestDeactivate()">Deactive</button>
</html>